# Uses of Class
org.eclipse.draw2d.text.FlowBox

Packages that use FlowBox
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of FlowBox in org.eclipse.draw2d.text

Subclasses of FlowBox in org.eclipse.draw2d.text
Modifier and Type
Class
Description
`class`
`BlockBox`
A CompositeBox suitable for containing multiple LineBox fragments.
`class`
`CompositeBox`
A FlowBox that can contain other FlowBoxes.
`class`
`ContentBox`
FlowBoxes that are leaf nodes.
`class`
`LineBox`
`class`
`LineRoot`
LineRoot is the top-most container on a line of text displayed in Draw2d.
`class`
`NestedLine`
`class`
`TextFragmentBox`
A Geometric object for representing a TextFragment region on a line of Text.
Methods in org.eclipse.draw2d.text that return types with arguments of type FlowBox
Modifier and Type
Method
Description
`List<? extends FlowBox>`
InlineFlow.`getFragments()`
Returns the `FlowBox` fragments contained in this InlineFlow.
Methods in org.eclipse.draw2d.text with parameters of type FlowBox
Modifier and Type
Method
Description
`void`
BlockBox.`add(FlowBox box)`
`abstract void`
CompositeBox.`add(FlowBox box)`
Adds the given box and updates properties of this composite box.
`void`
LineBox.`add(FlowBox child)`
`void`
LineRoot.`add(FlowBox child)`
`void`
FlowContainerLayout.`addToCurrentLine(FlowBox child)`
Adds the given box the current line and clears the context's state.
`void`
FlowContext.`addToCurrentLine(FlowBox box)`
Adds the given box into the current line.